%define oname   cairo

Name:       ruby-%{oname}
Version:    1.12.2
Release:    %mkrel 3
Summary:    Ruby bindings for cairo
Group:      Development/Ruby
License:    GPLv2
URL:        http://cairographics.org/rcairo
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: cairo-devel
BuildRequires: rubygem(pkg-config)
BuildRequires: rubygem(test-unit)
BuildRequires: rubygem(rubyforge)
Provides:   rcairo = %{version}-%{release}

%description
Ruby bindings for cairo

%files
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_gemdir}/gems/%{oname}-%{version}
%{ruby_vendorlibdir}/*
%{ruby_vendorarchdir}/%{oname}.so
%{ruby_vendorarchdir}/rb_%{oname}.h

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}

#-------------------------------------------------------------------------------
%package        devel
Summary:    Development files for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    devel
Development headers for %{name}

%files          devel
%{ruby_vendorarchdir}/*.h

#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

#FIXME: implement that in gem_helper.rb
mkdir -p %{buildroot}%{ruby_vendorlibdir} %{buildroot}%{ruby_vendorarchdir}
mv %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/* %{buildroot}%{ruby_vendorlibdir}
mv %{buildroot}%{ruby_sitearchdir}/* %{buildroot}%{ruby_vendorarchdir}


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1.12.2-3.mga3
+ Revision: 395729
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.12.2-2.mga3
+ Revision: 380663
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 1.12.2-1.mga3
+ Revision: 312201
- update file list
- new version 1.12.2

* Sat Nov 26 2011 fwang <fwang> 1.10.2-1.mga2
+ Revision: 172025
- new version 1.10.2

* Mon Nov 07 2011 fwang <fwang> 1.10.1-1.mga2
+ Revision: 164805
- update file list
- drop merged patch
- new version 1.10.1

* Sun May 08 2011 shikamaru <shikamaru> 1.10.0-3.mga1
+ Revision: 96270
- Add provides due to different naming schemes upstream between the gem and tarball

* Mon Mar 14 2011 shikamaru <shikamaru> 1.10.0-2.mga1
+ Revision: 71425
- disable test for the moment
- move files in vendorlibdir/vendorarchdir
- add check section

* Tue Feb 08 2011 shikamaru <shikamaru> 1.10.0-1.mga1
+ Revision: 48935
- imported package ruby-cairo

